package entity

import (
	"database/sql"
	"time"
)

type ExamPao struct {
	TeamName    string `json:"teamName"`    // 队伍名字
	PositionX   string `json:"positionX"`   // X坐标（判断是否在起始点）
	PositionY   string `json:"positionY"`   // Y坐标（判断是否在起始点）
	EquipmentNo string `json:"equipmentNo"` // 设备编号
}

type ExamPo struct {
	Id              int            `json:"id" db:"id"` // 自增id
	TeamName        string         `json:"teamName" db:"team_name"`
	Topic           string         `json:"topic" db:"topic"`
	BeginTime       time.Time      `json:"beginTime" db:"begin_time"`
	EndTime         time.Time      `json:"endTime" db:"end_time"`
	ScoreOnline     float64        `json:"scoreOnline" db:"score_online"`
	ScoreOffline    float64        `json:"scoreOffline" db:"score_offline"`
	ScoreFinal      float64        `json:"scoreFinal" db:"score_final"`
	Details         sql.NullString `json:"details" db:"details"`
	ScoreReportPath string         `json:"ScoreReportPath" db:"score_report_path"`
	EquipmentNo     string         `json:"equipmentNo" db:"equipment_no"`
}

type ExamVo struct {
	Id              int     `json:"id" ` // 自增id
	TeamName        string  `json:"teamName"`
	Topic           string  `json:"topic" `
	BeginTime       string  `json:"beginTime" `
	EndTime         string  `json:"endTime"`
	ScoreOnline     float64 `json:"scoreOnline" `
	ScoreOffline    float64 `json:"scoreOffline" `
	ScoreFinal      float64 `json:"scoreFinal"`
	Details         string  `json:"details" `
	ScoreReportPath string  `json:"ScoreReportPath" `
}

type ExamPagePao struct {
	CurrentPage int    `json:"currentPage"`
	PageSize    int    `json:"pageSize"`
	TeamName    string `json:"teamName"` // 队伍名字
	Topic       string `json:"topic"`    // 赛题
}
type ExamReportPao struct {
	Id          int    `json:"id"`
	TeamName    string `json:"teamName"`
	ScoreOnline int    `json:"scoreOnline"`
	BeginTime   string `json:"beginTime"`
	EndTime     string `json:"endTime"`
}

/*
	{
	  "TotalScore": 10,
	  "SceneName": "在场景“路段-障碍物识别与响应",
	  "DeductedScore": 0,
	  "Reason": "",
	  "BeginTime": 1715389830.1170852,
	  "EndTime": 1715389842.4866548
	},
*/
type DetailsDto struct {
	TotalScore    float64 `json:"TotalScore"`
	SceneName     string  `json:"SceneName"`
	DeductedScore float64 `json:"DeductedScore"`
	Reason        string  `json:"Reason"`
	BeginTime     float64 `json:"BeginTime"`
	EndTime       float64 `json:"EndTime"`
}
